Debian Bug report logs - #594125
[linux-image-2.6.35-trunk-amd64] BSD ring buffer implementation makes suspend to ram unreliable

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Florian Kriener <florian@kriener.org>

Date: Mon, 23 Aug 2010 20:39:01 UTC

Severity: important

Tags: fixed-upstream, patch

Found in version 2.6.35-1~experimental.2

Fixed in version 2.6.36~rc5-1~experimental.1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=29406

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594125; Package linux-image-2.6.35-trunk-amd64. (Mon, 23 Aug 2010 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Kriener <florian@kriener.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 Aug 2010 20:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Kriener <florian@kriener.org>
To: submit@bugs.debian.org
Subject: [linux-image-2.6.35-trunk-amd64] BSD ring buffer implementation makes suspend to ram unreliable
Date: Mon, 23 Aug 2010 22:28:31 +0200
Package: linux-image-2.6.35-trunk-amd64
Version: 1~experimental.2
Severity: grave
Tags: patch

--- Please enter the report below this line. ---
There is a bug in the linux kernel 2.6.35, that makes suspend to ram
unusable (it seems to be fixed in 2.6.36-rc2) [1]. The symptoms are:
- Suspend to ram from X hangs the computer, the only option is to press
  the power button for ~5 sec and thus forcefully turning off the  
  computer (SysRq does not work for me). After a while (when not
  turning off the computer of cause) the fan goes to full power.
- However, suspend to ram from console works.
- The hang does happen every time on my laptop. However,  on some
  computers that seems to happen only sporadically.

The link [1] contains two possible solutions for this problem.
1. Turn off BSD completely by replacing the corresponding define
   in i915_drv.h with
    #define HAS_BSD(dev)            (0)
2. 2.6.36-rc2 seems to fix the problem (according to a comment on [1]).

[1] https://bugs.freedesktop.org/show_bug.cgi?id=29406
  

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.32-5-amd64

Debian Release: squeeze/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        ftp.de.debian.org 
  500 testing         ftp.de.debian.org 
  101 experimental-snapshots qt-kde.debian.net 
    1 experimental    ftp.de.debian.org 

--- Package information. ---
Depends                                     (Version) | Installed
=====================================================-+-=============================
module-init-tools                                     | 3.12-1
linux-base               (>= 2.6.35-1~experimental.2) | 2.6.35-1~experimental.2
initramfs-tools                            (>= 0.55)  | 0.98
 OR linux-initramfs-tool                              | 


Recommends                (Version) | Installed
===================================-+-============
firmware-linux-free     (>= 2.6.35) | 2.6.35-1~experimental.2


Suggests              (Version) | Installed
===============================-+-===========
linux-doc-2.6.35                | 2.6.35-1~experimental.2
grub                            | 
 OR lilo                        | 





-- 
Florian Kriener

August-Bebel-Stra├če 46
04275 Leipzig

Tel:   +49 341-3047701
Mobil: +49 176-20070874




Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=29406'. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Tue, 24 Aug 2010 08:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594125; Package linux-image-2.6.35-trunk-amd64. (Tue, 24 Aug 2010 08:36:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 24 Aug 2010 08:36:15 GMT) Full text and rfc822 format available.

Message #12 received at 594125@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Florian Kriener <florian@kriener.org>, 594125@bugs.debian.org
Subject: Re: Bug#594125: [linux-image-2.6.35-trunk-amd64] BSD ring buffer implementation makes suspend to ram unreliable
Date: Tue, 24 Aug 2010 10:26:11 +0200
severity 594125 important
stop

On Mon, Aug 23, 2010 at 10:28:31PM +0200, Florian Kriener wrote:
> Package: linux-image-2.6.35-trunk-amd64
> Version: 1~experimental.2
> Severity: grave
> Tags: patch

important is enough.
 
> --- Please enter the report below this line. ---
> There is a bug in the linux kernel 2.6.35, that makes suspend to ram
> unusable (it seems to be fixed in 2.6.36-rc2) [1]. The symptoms are:
> - Suspend to ram from X hangs the computer, the only option is to press
>   the power button for ~5 sec and thus forcefully turning off the  
>   computer (SysRq does not work for me). After a while (when not
>   turning off the computer of cause) the fan goes to full power.
> - However, suspend to ram from console works.
> - The hang does happen every time on my laptop. However,  on some
>   computers that seems to happen only sporadically.

experienced similar stuff here on a X201 Thinkpad.
 
> The link [1] contains two possible solutions for this problem.
> 1. Turn off BSD completely by replacing the corresponding define
>    in i915_drv.h with
>     #define HAS_BSD(dev)            (0)
> 2. 2.6.36-rc2 seems to fix the problem (according to a comment on [1]).
> 
> [1] https://bugs.freedesktop.org/show_bug.cgi?id=29406

ok marking as forwarded.

once a specific patch emerges out of that report, we can add it,
otherwise it should go through stable.
   




Severity set to 'important' from 'grave' Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Tue, 24 Aug 2010 08:45:17 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-image-2.6.35-trunk-amd64' to 'linux-2.6'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 05 Sep 2010 01:12:37 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 1~experimental.2. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 05 Sep 2010 01:12:37 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 1~experimental.2. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 05 Sep 2010 01:12:38 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 20 Sep 2010 16:39:51 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 1~experimental.2. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 11 Oct 2010 01:33:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.35-1~experimental.2. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 11 Oct 2010 01:33:03 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 11 Oct 2010 01:36:03 GMT) Full text and rfc822 format available.

Notification sent to Florian Kriener <florian@kriener.org>:
Bug acknowledged by developer. (Mon, 11 Oct 2010 01:36:03 GMT) Full text and rfc822 format available.

Message #31 received at 594125-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 594125-done@bugs.debian.org
Subject: Re: [linux-image-2.6.35-trunk-amd64] BSD ring buffer implementation makes suspend to ram unreliable
Date: Mon, 11 Oct 2010 02:32:24 +0100
[Message part 1 (text/plain, inline)]
Version: 2.6.36~rc5-1~experimental.1

This bug is reported to have been fixed in 2.6.36-rc2.  Please let us
know if the current version in experimental doesn't fix it.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594125; Package linux-2.6. (Mon, 11 Oct 2010 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Kriener <florian@kriener.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 11 Oct 2010 07:57:03 GMT) Full text and rfc822 format available.

Message #36 received at 594125@bugs.debian.org (full text, mbox):

From: Florian Kriener <florian@kriener.org>
To: 594125@bugs.debian.org
Subject: Re: Bug#594125 closed by Ben Hutchings <ben@decadent.org.uk> (Re: [linux-image-2.6.35-trunk-amd64] BSD ring buffer implementation makes suspend to ram unreliable)
Date: Mon, 11 Oct 2010 09:48:23 +0200
I think you can close this bug, 2.6.36-rc6 does not show the described 
symptoms anymore.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 07:35:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:13:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.